Skip to content

REST API: Application Analytics List

This GET endpoint retrieves analytics for your application.

GET API url -> /v1/analytics/applications

Query Parameters

The following query parameters are possible:

Field Type Description Required
appId String Application id
from Long Unix timestamp in milliseconds Optional
to Long Unix timestamp in milliseconds Optional

Response Examples

[
    {
        "totalDevicesCount": 133970,
        "totalNotificationsClickedCount": 0,
        "totalNotificationsDismissedCount": 0,
        "totalDevicesRegisteredCount": 698,
        "totalDevicesUnregisteredCount": 333,
        "totalNotificationsNotDeliveredCount": 0,
        "totalDevicesNewRegisteredCount": 365,
        "totalNotificationsSentCount": 0,
        "totalNotificationsDeliveredCount": 0,
        "createdAt": 1771801199999,
    },
    {
        "totalDevicesCount": 133970,
        "totalNotificationsClickedCount": 0,
        "totalNotificationsDismissedCount": 0,
        "totalDevicesRegisteredCount": 696,
        "totalDevicesUnregisteredCount": 332,
        "totalNotificationsNotDeliveredCount": 0,
        "totalDevicesNewRegisteredCount": 364,
        "totalNotificationsSentCount": 0,
        "totalNotificationsDeliveredCount": 0,
        "createdAt": 1771714799999,
    }
]
Error message
Error message